Subject: [Hipsec] LSI prefix testing results

From: "Henderson, Thomas R" <[email-masked]>
Date: Mon, 10 Dec 2012 22:00:06 -0800

> 3) LSI prefix range in Class E or 127/8 range
> 
> We would like to recommend a suitable range for assignment of LSIs. A
> range in the 127/8 or class E IPv4 address space is being considered.
> 
> This is now issue 41 in the tracker:
> http://trac.tools.ietf.org/wg/hip/trac/ticket/41

Jeff Ahrenholz and I have been testing the use of OpenHIP with different LSI prefixes:

- a relatively unused class A prefix (25/8), for control purposes
- a loopback prefix (127/8)
- a class E prefix (250/8)

on different platforms.

I initially tested with a recent Ubuntu Linux distribution and was able to get it to work using 250/8.  However, Jeff tested on an older Linux system (2.6.18 kernel) and found that attempting to either ping or ssh to the LSI resulted in 'invalid argument'.

On Windows (XP and 7), Jeff was not able to successfully use either 127/8 or the representative class E prefix (250/8) that we have been testing.  When the Windows XP host is the responder, the base exchange completes but the Windows XP host cannot use the socket (ping.exe fails with "Destination specified is invalid" and ssh.exe fails with "Cannot assign requested address").

On Windows 7 and XP, upon trying to set an interface address to one within a Class E prefix, the following error is displayed:  "<value> is not a valid entry.  Please specify a value between 1 and 223."  An address in 127/8 is also disallowed.

I did not test OS X since the above problems manifested themselves.

In summary, it seems that we need to use prefixes that are outside of 127/8, class D, and class E prefixes for IPv4 LSIs if we want to have a portable solution.

- Tom